#
# spec file for package switch_sles_sle-hpc
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


ExclusiveArch:  x86_64 aarch64 noarch
Name:           switch_sles_sle-hpc
Version:        0.2
Release:        4.2
Summary:        Utility to switch between SLES and SLE-HPC on SLE-12
License:        MIT
Group:          System/Management
URL:            http://www.suse.com
Source0:        switch
Source1:        LICENSE
Source2:        README.SUSE
Source3:        %{name}.8
Requires:       SUSEConnect
Requires:       bash
Requires:       coreutils
Requires:       rpm
Requires:       sed
Requires:       zypper
BuildArch:      noarch

%description
This tool is intended for users who are SLES subscribers but would like
to migrate to the new SLE-HPC subscription.

%prep
%setup -Tc
cp %{S:1} %{S:2} .

%build

%install
install -D -m 0755 %{S:0} %{buildroot}%{_sbindir}/switch_sles_sle-hpc
ln -s %{_sbindir}/switch_sles_sle-hpc %{buildroot}%{_sbindir}/switch_to_sle-hpc
install -D -m 0644 %{S:3} %{buildroot}%{_mandir}/man8/%{basename:%{S:3}}

%if 0%{?sle_version} > 120200 || 0%{?suse_version} > 1320
%define my_license %license
%else
%define my_license %doc
%endif

%files
%defattr(-,root,root,0755)
%my_license LICENSE
%doc README.SUSE
%{_sbindir}/switch_to_sle-hpc
%{_sbindir}/switch_sles_sle-hpc
%{_mandir}/man8/*

%changelog
* Wed Mar 29 2023 Egbert Eich <eich@suse.com>
- Limit build to x86_64 and aarch64.
* Fri Apr  5 2019 Egbert Eich <eich@suse.com>
- Change title in README.SUSE.
* Fri Mar  8 2019 Egbert Eich <eich@suse.com>
- Fix case where base product is not found because zypper cache hasn't
  been updated: Remove zypper cookie instead of touching /etc/products.d
  (bsc#1128494).
* Thu Mar  7 2019 Egbert Eich <eich@suse.com>
- Fix script name switch_to_sle-hpc -> switch_sles_sle_hpc keep old name
  as link (bsc#1128381).
* Thu Sep 13 2018 eich@suse.com
- Make script work on non-x86_64 platforms: remove hard-coded
  arch left over from testing.
* Tue Aug 28 2018 eich@suse.com
- Make script work with SLES-12-SP2 as well.
* Thu Aug 23 2018 eich@suse.com
- Improve Error handling - make sure modules & extensions are restored.
- Improve messaging.
* Thu Aug 16 2018 eich@suse.com
- Fix name of script file
- Add test for /etc/products.d before 'touching'
- Fix formatting of 'read' line adding a '-'.
* Fri Aug 10 2018 eich@suse.com
- Create switch_sles-sle-hpc:
  A tool to convert a SLES 12 product to the SLE-HPC 12 product
  of the same service pack level (FATE#326567).
